using Ping9719.WpfEx;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using 智慧物流软件系统.ViewModel;

namespace 智慧物流软件系统
{
    public partial class InOutRecordView : UserControlBase
    {
        public InOutRecordViewModel viewModel { get; set; } = new InOutRecordViewModel();
        public InOutRecordView()
        {
            InitializeComponent();
            this.DataContext = viewModel;
        }

        private void DataGrid_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
        {

        }

        private void LoadedVisible(object sender, EventArgs e)
        {
            viewModel.BtnReset();
            viewModel.BtnSearchReset();
        }


        private void UserControlBase_Loaded(object sender, RoutedEventArgs e)
        {
            viewModel.InitMatCode();
        }
    }
}
